package com.vp.plugin.sample.highlight.actions;

import com.vp.plugin.*;
import com.vp.plugin.action.*;
import com.vp.plugin.diagram.*;

public final class ClearController implements VPActionController {
	@Override
	public void performAction(VPAction aAction) {
		// retrieve active diagram from your project
		DiagramManager lDiagramManager = ApplicationManager.instance().getDiagramManager();
		IDiagramUIModel lDiagram = lDiagramManager.getActiveDiagram();
		if (lDiagram != null) {
			// clean up the highlighted elements
			lDiagramManager.clearHighlightAsAnimation(lDiagram);
		}
	}

	@Override
	public void update(VPAction aAction) {
	}
}